/**
 * 底层设备：振动
 */

import { TvibrateLong, TvibrateShort } from "pi_sys/native/device/vibrate";

export const vibrateShort: TvibrateShort = (type: "heavy" | "medium" | "light"): Promise<void> => {
    return new Promise((resolve, reject) => {
        wx.vibrateShort({
            type,
            success: resolve as any,
            fail: reject
        })
    });
}

export const vibrateLong: TvibrateLong = (): Promise<void> => {
    return new Promise((resolve, reject) => {
        wx.vibrateLong({
            success: resolve as any,
            fail: reject
        })
    });
}
