export const vs_progress = `
#ifdef GL_ES
precision mediump float;
#endif

attribute   vec2    position;

void main( void ){
    gl_Position = vec4( position, 0., 1. );
}
`;

export const fs_progress = `
#ifdef GL_ES
precision mediump float;
#endif

uniform  float u_float;
uniform  vec3 u_color_bg;
uniform  vec3 u_color_pg;
uniform  vec2 u_resolution;

void main(void){
    vec2 st = gl_FragCoord.xy / u_resolution.xy;
    vec3 color = mix(u_color_pg, u_color_bg, step(u_float, st.x));

    // 20: height of progress in js code
    // color = st.y > (20.0 / u_resolution.y / 2.0) ? vec3(0.0) : color;

    // float alpha = st.y > (20.0 / u_resolution.y / 2.0) ? 0.0 : 0.8;
    // alpha = st.x < u_float ? alpha : 0.8;

    gl_FragColor = vec4( color, 0.8 );
}
`;