// 将微信的touch事件转换为pointer事件,并派发到pi_sys的事件系统

import { dispatchEvent } from "pi_sys/native/base/event";

window["canvas"] = document.getElementById("renderCanvas");


const dispatch = (rawEvent: PointerEvent) => {
	// 如果单独弹出输入框,会因为pointerdown事件在document上处理并调用preventDefault方法,导致输入框无法拉起
	// if (rawEvent.target && rawEvent.target.tagName === "INPUT") return;
	dispatchEvent(rawEvent.type as any, rawEvent);
}

// if (window["canvas"]) {
// 	window["canvas"].addEventListener("pointerdown", dispatch);
// 	window["canvas"].addEventListener("pointermove", dispatch);
// 	window["canvas"].addEventListener("pointerup", dispatch);
// 	window["canvas"].addEventListener("pointercancel", dispatch);
// 	window["canvas"].addEventListener("wheel", dispatch);
// } else {
document.addEventListener("pointerdown", dispatch);
document.addEventListener("pointermove", dispatch);
document.addEventListener("pointerup", dispatch);
document.addEventListener("pointercancel", dispatch);
document.addEventListener("wheel", dispatch);
document.addEventListener("pointerleave", dispatch);
document.addEventListener("pointerenter", dispatch);
// }

