import { KeyboardConfig, Thide, ToffComplete, ToffConfirm, ToffInput, TonComplete, TonConfirm, TonInput, Tshow, Tupdate, TonSelection, TsetSelection, TonKeyboardHeightChange, ToffKeyboardHeightChange, TonKeyDown, ToffKeyDown, TonKeyUp, ToffKeyUp, ToffSelection, TsupportSelection } from "./keyboard";

/**
 * 显示键盘
 */
export const show: Tshow = (config: KeyboardConfig) => {

}

/**
 * 隐藏键盘
 */
export const hide: Thide = (options: { fail?: Function, success?: Function }) => {

}

/**
 * 更新键盘输入框内容。只有当键盘处于拉起状态时才会产生效果
 */
export const update: Tupdate = (options: { value: string, success?: Function, fail?: Function, complete?: (res: any) => void }) => {

}

/**
 * 设置光标位置（html支持，其他平台可能不支持，不支持的平台，请返回false）
 * @param index 
 */
export const setSelection: TsetSelection = (index: number, x?: number, y?: number): boolean => {
	return false;
}

export const supportSelection: TsupportSelection = () => {
	return false;
}

/**
 * 监听光标改变
 * @param callback 
 * @param 
 * @returns 
 */
export const onSelection: TonSelection = (callback: (value: number) => void) => {
}


export const offSelection: ToffSelection = (callback?: (value: number) => void) => {
}

/**
 * 监听键盘输入事件
 */
export const onInput: TonInput = (callback: ({ value: string }) => void) => {
}

/**
 * 取消监听键盘输入事件.参数为空，则取消所有的事件监听。
 */
export const offInput: ToffInput = (callback?: ({ value: string }) => void) => {
}

/**
 * 监听用户点击键盘 Confirm 按钮时的事件
 */
export const onConfirm: TonConfirm = (callback: ({ value: string }) => void) => {

}

/**
 * 取消监听用户点击键盘 Confirm 按钮时的事件.参数为空，则取消所有的事件监听。
 */
export const offConfirm: ToffConfirm = (callback?: ({ value: string }) => void) => {

}

/**
 * 监听监听键盘收起的事件
 */
export const onComplete: TonComplete = (callback: ({ value: string }) => void) => {
}

/**
 * 取消监听监听键盘收起的事件.参数为空，则取消所有的事件监听。
 */
export const offComplete: ToffComplete = (callback?: ({ value: string }) => void) => {
}



/**
 * 监听 虚拟键盘 高度，仅限于 支持 虚拟键盘 的 平台 
 */
export const onKeyboardHeightChange: TonKeyboardHeightChange = (callback: ({ height: number }) => void) => {
}

/**
 * 取消监听 虚拟键盘 高度，仅限于 支持 虚拟键盘 的 平台.
 */
export const offKeyboardHeightChange: ToffKeyboardHeightChange = (callback: ({ height: number }) => void) => {
}

/**
 * 监听键盘按键按下事件，仅适用于 PC 平台
 * @param callback 
 */
export const onKeyDown: TonKeyDown = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => {

}

/**
 *  取消监听键盘按键按下事件，仅适用于 PC 平台
 * @param callback 
 */
export const offKeyDown: ToffKeyDown = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => { };


/**
 * 监听键盘按键弹起事件，仅适用于 PC 平台
 * @param callback 
 */
export const onKeyUp: TonKeyUp = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => {

}

/**
 *  取消监听键盘按键弹起事件，仅适用于 PC 平台
 * @param callback 
 */
export const offKeyUp: ToffKeyUp = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => { };