export * from "./memorywarning_impl";

export enum TRIM_MEMORY_RUNNING_LEVEL {
    /**
     * 适度
     */
    TRIM_MEMORY_RUNNING_MODERATE = 5,
    /**
     * 低的
     */
    TRIM_MEMORY_RUNNING_LOW = 10,
    /**
     * 紧急
     */
    TRIM_MEMORY_RUNNING_CRITICAL = 15,
}

export type TonWarning = (callback: (data: TRIM_MEMORY_RUNNING_LEVEL) => void) => void;

export type ToffWarning = (callback?: (data: TRIM_MEMORY_RUNNING_LEVEL) => void) => void;
