import { ToffWarning, TonWarning, TRIM_MEMORY_RUNNING_LEVEL } from "./memorywarning";

/**
 * 监听内存不足告警事件
 * 发出内存警告时，触发该事件。触发该事件不意味小程序被杀，大部分情况下仅仅是告警 开发者可在收到通知后回收一些不必要资源避免进一步加剧内存紧张。
 * TRIM_MEMORY_RUNNING_CRITICAL(15)紧急 
 * TRIM_MEMORY_RUNNING_LOW(10)低的 
 * TRIM_MEMORY_RUNNING_MODERATE(5)适度
 */
export const onWarning: TonWarning = (callback: (data: TRIM_MEMORY_RUNNING_LEVEL) => void) => {
}

/**
 * 取消监听内存不足告警事件。参数为空，则取消所有的事件监听。
 */
export const offWarning: ToffWarning = (callback?: (data: TRIM_MEMORY_RUNNING_LEVEL) => void) => {
}