/**
 * 底层设备：屏幕
 */
export * from "./screen_impl";

/**
 * 屏幕亮度值
 */
export interface ScreenInfo {
    value: number;           // 屏幕亮度值，范围 0 ~ 1，0 最暗，1 最亮
}

export type TsetBrightness = (value: number) => Promise<void>;

export type TsetKeepOn = (keepScreenOn: boolean) => Promise<void>;

export type TgetBrightness = () => Promise<ScreenInfo>;

export type TonUserCaptureScreen = (callback: (path: string) => void) => void;

export type ToffUserCaptureScreen = () => void;