/**
 * 广告 SDK
 */

import { Tdestroy, Tload, ToffClose, TonClose, Tshow } from "./ad";


/**
 * 加载广告(调用一次即可).
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export const load: Tload = (adType: string) => {
    return Promise.resolve();
}

/**
 * 展示广告.
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export const show: Tshow = (adType: string) => {
    return Promise.resolve();
}

/**
 * 销毁广告实例.
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export const destroy: Tdestroy = (adType: string) => {
    return Promise.resolve();
}

/**
 * 监听广告关闭事件(load后,调用才有效)..
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export const onClose: TonClose = (adType: string, cb: (flag: boolean) => void) => {
}
/**
 * 取消广告关闭事件的监听.
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export const offClose: ToffClose = (adType: string) => {
}