export * from "./font_impl";
/**
 * 字体资源
 */
export interface IPiFont {
    /**
     * 加载参数
     */
    arg: IParamPiFont;

    family: string;
    /**
    * 字体文件路径
    */
    src: string;

    onload: Function;
    onerror: Function;
};

/**
 * 字体资源对象加载参数
 */
export interface IParamPiFont {
    /**
     * 字体重命名
     * @warning 各平台对字体重命名的处理不兼容，应该在导出时即修改好字体名,此处名称设置为修改好的名字
     */
    family: string;
}