export * from "./image_impl";
export interface PiImage {
	/**
	 * 图片的 URL
	 */
	src: string;
	/**
	* 图片的真实宽度
	*/
	width: number;
	/**
	* 图片的真实高度
	*/
	height: number;
	/**
	 * 图片的加载完成
	 */
	onload: (res?: any) => void;
	/**
	 * 图片加载发生错误后触发的回调函数
	 */
	onerror: (res?: any) => void;
}


export type TcreateImage = () => PiImage;