
export * from "./update_mgr_impl"


export interface IVersion {
    try_version?: string;
    run_version?: string;      // 当前运行版本
    last_ok?: string;        // 上次运行成功版本
    version: string;         // 版本号 or 签名
    size: number;             // 大小
    url: string;             // 下载地址
}
export interface ICfg {             // 总控cfg接口
    apk: IVersion;
    so: IVersion;
    snapshot: IVersion;
    sys: IVersion;
    pi_sys_depend: string;                 // 项目对pisys的依赖
    so_depend: string;                // 项目对so的依赖
    app_depend: string;               // 项目对app的依赖
    appVersion?: string;                    // web和小游戏版本存在
    app_url: string;                            // 游戏cfg url
    first_app: string;                         // 第一次启动游戏名
    open_last_app: boolean;                    // 是否是最后一次打开的app
    app_list: string[];
    download_show_cfg: any;
    key2727: string[];                        //需要lz4压缩加密的后缀 【就是lz4Suffixs】
    inspect_brk: boolean;            // 断点调试,如果true则会断到第一行,方便调试 
    channelsCfg: any;                       // 一些渠道商店页配置
    [key: string]: any;

}

