
import { ICfg } from "./update_mgr";
import { UpdateLevel } from "./version";

/**
 * 这里只处理大版本更新,中小版本更新交由项目处理
 */
export namespace UpdateMgr {

    export const init = (cfg: ICfg) => {

    }

    /**
     * 是否是大版本更新
     * @returns 
     */
    export const isMajorUpdate = () => {
        return false;
    }

    /**
     * 清除本地数据
     */
    export const clearLocalData = () => {
        return Promise.resolve();
    }

    /**
     * 开始更新
     */
    export const startUpdate = () => {
        return Promise.resolve();
    }


}
