import { IPiVideo } from "pi_sys/render/video";

export const createVideo = (src?: string): IPiVideo => {
    const videoElement = document.createElement("video");
    if (src) {  // 只有播放m3u8格式的时候才需要这样处理,此时src有值
        const sourceElementWebm = document.createElement('source');
        sourceElementWebm.src = src;
        videoElement.appendChild(sourceElementWebm);
    }
    return videoElement;
}