import { Vibrate as _Vibrate } from "./vibrate";
import { Battery as _Battery } from "./battery";
import { Network as _Network } from "./network";
import { Screen as _Screen } from "./screen";
import { Ad as _Ad } from "./ad";
import { Login as _Login } from "./login";
import { Pay as _Pay } from "./pay";
import { Push as _Push } from "./push";
import { Share as _Share } from "./share";
import { SpecialCall as _SpecialCall } from "./specialcall";
import { UpLoad as _UpLoad } from "./upload";
import { Dialog as _Dialog } from "./dialog";
import { Image as _Image } from "./image";
import { AudioRecorder as _AudioRecorder } from "./audiorecorder";
import { App as _App } from "./app";
import { AutoTest as _AutoTest } from "./auto_test";
import { Asset as _Asset } from "./asset";
import { File as _File } from "./file";
import { ShareNative as _ShareNative } from "./sharenative";
import { Audio as _Audio } from "./audio";
import { Camera as _Camera } from "./camera";
import { Accelerometer as _Accelerometer } from "./accelerometer";
import { Clipboard as _Clipboard } from "./clipboard";
import { Compass as _Compass } from "./compass";
import { DeviceMotion as _DeviceMotion } from "./devicemotion";
import { DeviceOrientation as _DeviceOrientation } from "./deviceorientation";
import { Gyroscope as _Gyroscope } from "./gyroscope";
import { Location as _Location } from "./location";
import { QRCode as _QRCode } from "./qrcode";
import { MemoryWarning as _MemoryWarning } from "./memorywarning";
import { VoIPChat as _VoIPChat } from "./voipchat";
import { Log as _Log } from "./log";
import { Download as _Download } from "./download"

export namespace Native {
   export const Vibrate = _Vibrate;
   export const Battery = _Battery;
   export const Network = _Network;
   export const Screen = _Screen;
   export const Ad = _Ad;
   export const Login = _Login;
   export const Pay = _Pay;
   export const Push = _Push;
   export const Share = _Share;
   export const SpecialCall = _SpecialCall;
   export const UpLoad = _UpLoad;
   export const Dialog = _Dialog;
   export const Image = _Image;
   export const AudioRecorder = _AudioRecorder;
   export const App = _App;
   export const Download = _Download;
   export const Log = _Log;
   export const AutoTest = _AutoTest;
   export const Asset = _Asset;
   export const File = _File;
   export const ShareNative = _ShareNative;
   export const Audio = _Audio;
   export const Camera = _Camera;
   export const Accelerometer = _Accelerometer;
   export const Clipboard = _Clipboard;
   export const Compass = _Compass;
   export const DeviceMotion = _DeviceMotion;
   export const DeviceOrientation = _DeviceOrientation;
   export const Gyroscope = _Gyroscope;
   export const Location = _Location;
   export const QRCode = _QRCode;
   export const MemoryWarning = _MemoryWarning;
   export const VoIPChat = _VoIPChat;
}