import { TscanCode } from "pi_sys/native/device/qrcode";
import { Native } from "../core/index";

export const scanCode: TscanCode = (): Promise<string> => {
    return new Promise((resolve, reject) => {
        Native.QRCode.init().then(() => {
            Native.QRCode.scan(
                (url: string) => {
                    resolve(url);
                },
                reject
            )
        });
    });
}