import { TvibrateLong, TvibrateShort } from "pi_sys/native/device/vibrate";
import { Native } from "../core/index";

export const vibrateShort: TvibrateShort = (type: "heavy" | "medium" | "light"): Promise<void> => {
    return Native.Vibrate.init().then(() => {
        return Native.Vibrate.play(15);
    });
}

export const vibrateLong: TvibrateLong = (): Promise<void> => {
    return Native.Vibrate.init().then(() => {
        Native.Vibrate.play(400);
    });
}
