/**
 * 消息推送 SDK  -- 比如：极光推送
 */

import { Taliyun } from "pi_sys/native/platform/push";
import { Native } from "../core/index";

/**
 * 开始监听推送信息.
 * @param 三方平台名称 "aliyunpush"
 */
export const aliyun: Taliyun = () => {
    return new Promise((resolve, reject) => {
        Native.Push.init().then(() => {
            Native.Push.onPush(
                'aliyunpush',
                function (info: any) {
                    resolve(info);
                },
                reject
            );
        })
            .catch((e) => {
                reject(e);
            });
    });
}