/**
 * 分享 SDK
 */

import { Tshare } from "pi_sys/native/platform/share";
import { Native } from "../core/index";

export const shareText: Tshare = (sdkName: string, param: any) => {
    const str = JSON.stringify(param);

    return new Promise((resolve, reject) => {
        Native.Share.init().then(() => {
            Native.Share.shareText(sdkName, str, resolve, reject);
        }).catch((e) => {
            reject(e);
        });
    });
}


export const shareImage: Tshare = (sdkName: string, param: any) => {
    const str = JSON.stringify(param);

    return new Promise((resolve, reject) => {
        Native.Share.init().then(() => {
            Native.Share.shareImage(sdkName, str, resolve, reject);
        }).catch((e) => {
            reject(e);
        });
    });
}