/**
 * 华为的适配
 */

import "./platform";
import {touchEventHandlerFactory} from"./screen_event";

window["canvas"] = document.getElementById("canvas");

// oppo小游戏不存在createCanvas， createImage方法
let qg = window["qg"];
qg.createCanvas = function() {
	return document.createElement("canvas");
}
qg.createImage = function() {
	return document.createElement("img");
}

document.addEventListener("touchstart", touchEventHandlerFactory('pointerdown'));
document.addEventListener("touchmove", touchEventHandlerFactory('pointermove'));
document.addEventListener("touchend", touchEventHandlerFactory('pointerup'));
document.addEventListener("touchcancel", touchEventHandlerFactory('pointercancel'));
