import "./platform"; // 屏蔽各小游戏平台差异
import{ addListener, removeListener, dispatchEvent as dispatchEvent1 } from 'pi_sys/native/base/event';
const document = {
    readyState: 'complete',
    visibilityState: 'visible', // 'visible' , 'hidden'
    hidden: false,
    fullscreen: true,

    location: window.location,

    scripts: [],
    style: {},

    ontouchstart: null,
    ontouchmove: null,
    ontouchend: null,
    onvisibilitychange: null,

    parentNode: null,
	parentElement: null,
	addEventListener: addListener,
	removeEventListener: removeListener,
	dispatchEvent: dispatchEvent1,

    createElement(tagName) {
        tagName = tagName.toLowerCase();
        if (tagName === 'canvas') {
            return wx.createCanvas();
        } else if (tagName === 'img') {
            return wx.createImage();
		} 
		// PI_BEGIN
		// else if (tagName === 'audio') {
        //     return new Audio()
        // } else if (tagName === 'video') {
        //     return new HTMLVideoElement()
		// }
		// PI_END

        return new HTMLElement()
	},
	

	// PI_BEGIN
    // createTextNode(text) {
    //     // TODO: Do we need the TextNode Class ???
    //     return text;
    // },

    // getElementById(id) {
    //     if (id === window.canvas.id) {
    //         return window.canvas
    //     }
    //     return null
    // },

    // getElementsByTagName(tagName) {
    //     tagName = tagName.toLowerCase();
    //     if (tagName === 'head') {
    //         return [document.head]
    //     } else if (tagName === 'body') {
    //         return [document.body]
    //     } else if (tagName === 'canvas') {
    //         return [window.canvas]
    //     }
    //     return []
    // },

    // getElementsByTagNameNS(nameSpace, tagName) {
    //     return this.getElementsByTagName(tagName);
    // },

    // getElementsByName(tagName) {
    //     if (tagName === 'head') {
    //         return [document.head]
    //     } else if (tagName === 'body') {
    //         return [document.body]
    //     } else if (tagName === 'canvas') {
    //         return [window.canvas]
    //     }
    //     return []
    // },

    // querySelector(query) {
    //     if (query === 'head') {
    //         return document.head
    //     } else if (query === 'body') {
    //         return document.body
    //     } else if (query === 'canvas') {
    //         return window.canvas
    //     } else if (query === `#${window.canvas.id}`) {
    //         return window.canvas
    //     }
    //     return null
    // },

    // querySelectorAll(query) {
    //     if (query === 'head') {
    //         return [document.head]
    //     } else if (query === 'body') {
    //         return [document.body]
    //     } else if (query === 'canvas') {
    //         return [window.canvas]
    //     }
    //     return []
	// },

    // addEventListener(type, listener) {
    //     if (!events[type]) {
    //         events[type] = []
    //     }
    //     events[type].push(listener)
    // },

    // removeEventListener(type, listener) {
    //     const listeners = events[type]

    //     if (listeners && listeners.length > 0) {
    //         for (let i = listeners.length; i--; i > 0) {
    //             if (listeners[i] === listener) {
    //                 listeners.splice(i, 1)
    //                 break
    //             }
    //         }
    //     }
    // },

    // dispatchEvent(event) {
    //     const type = event.type;
    //     const listeners = events[type]

    //     if (listeners) {
    //         for (let i = 0; i < listeners.length; i++) {
    //             listeners[i](event)
    //         }
    //     }

    //     if (event.target && typeof event.target['on' + type] === 'function') {
    //         event.target['on' + type](event)
    //     }
	// }
	// PI_END
}


// // PI_BEGIN
// document.documentElement = new DocumentElement()
// document.head = new HTMLElement('head')
// document.body = new Body()

// function onVisibilityChange(visible) {

//     return function() {

//         document.visibilityState = visible ? 'visible' : 'hidden';

//         const hidden = !visible;
//         if (document.hidden === hidden) {
//             return;
//         }
//         document.hidden = hidden;

//         const event = new Event('visibilitychange');

//         event.target = document;
//         event.timeStamp = Date.now();

//         document.dispatchEvent(event);
//     }
// }

// if (wx.onHide) {
//     wx.onHide(onVisibilityChange(false));
// }
// if (wx.onShow) {
//     wx.onShow(onVisibilityChange(true));
// }
// // PI_END

export default document
