import "./platform"; // 屏蔽各小游戏平台差异
/// 兼容window常用属性
export { default as HTMLElement } from './html_element';
export { default as Image } from './html_image_element';
export { default as HTMLImageElement } from './html_image_element';
import{ addListener, removeListener, dispatchEvent as dispatchEvent1  } from 'pi_sys/native/base/event';

export const addEventListener = addListener;
export const removeEventListener = removeListener;
export const dispatchEvent = dispatchEvent1;
export const canvas = document.getElementById("canvas");

if(!document.addEventListener) {
	document.addEventListener = addListener;
}

if(!document.removeEventListener) {
	document.removeEventListener = removeListener;
}

if(!document.dispatchEvent) {
	(<any>document).dispatchEvent = dispatchEvent1;
}
