declare var __devtoolssubcontext;
declare var global;
declare var GameGlobal;
import "./platform"; // 屏蔽各小游戏平台差异
import * as _window from "./window";
import "./screen_event";

function inject() {
    const { platform } = wx.getSystemInfoSync()

    // 开发者工具无法重定义 window
    if (typeof __devtoolssubcontext === 'undefined' && platform === 'devtools') {
        for (const key in _window) {
            const descriptor = Object.getOwnPropertyDescriptor(GameGlobal, key)

            if ((!descriptor || descriptor.configurable === true) && key !== "document") {
                Object.defineProperty(window, key, {
                    value: _window[key]
                })
            }
        }
        window.wx = wx
    } else {
        _window["wx"] = wx;
        for (const key in _window) {
            if (key === "document" && GameGlobal["document"]) {
                for (let dk in _window[key]) {
                    GameGlobal["document"][dk] = _window[key][dk];
                }
            } else {
                GameGlobal[key] = _window[key];
            }
        }
        GameGlobal.window = GameGlobal
        GameGlobal.top = GameGlobal.parent = GameGlobal
    }
}

if (!GameGlobal.__isAdapterInjected) {
    GameGlobal.__isAdapterInjected = true
    inject()
}