import { ToffWarning, TonWarning, TRIM_MEMORY_RUNNING_LEVEL } from "pi_sys/native/device/memorywarning";

export const onWarning: TonWarning = (callback: (data: TRIM_MEMORY_RUNNING_LEVEL) => void) => {
    wx.onMemoryWarning(callback as any);
}

export const offWarning: ToffWarning = (callback?: (data: TRIM_MEMORY_RUNNING_LEVEL) => void) => {
    wx.offMemoryWarning(callback);
}