import { ToffChange, TonChange } from "pi_sys/native/device/orientation";

export const onChange: TonChange = (callback: (data: string) => void) => {
    wx.onDeviceOrientationChange(callback as any);
}

export const offChange: ToffChange = (callback?: (data: string) => void) => {
    wx.offDeviceOrientationChange(callback as any);
}