import { TscanCode } from "pi_sys/native/device/qrcode";

export const scanCode: TscanCode = (): Promise<string> => {
    return new Promise((resolve, reject) => {
        wx.scanCode({
            success: (res) => {
                resolve(res.result);
            },
            fail: reject
        });
    });
}