
/**
 * 本地资源加载
 */


export namespace Asset {

    /**
     * @description 获取资源信息数组Json, [[file, time, size, sign], ...]
     * 读不到返回空数组
     */
    export function get(): Promise<string[][]> {
        return Promise.resolve([]);
    };

    /**
     * @description 读取资源
     * @example
     */
    export function read(path: string): Promise<ArrayBuffer> {
        return Promise.resolve(null);
    }

    /**
     * 获取文件在底层的绝对路径
     * @param path 
     * @returns 
     */
    export const getSystemPath = (path: string): Promise<string> => {
        return Promise.resolve(path);
    }
}