[小游戏文件系统]https://developers.weixin.qq.com/minigame/dev/guide/base-ability/file-system.html

- 本地缓存文件忽略

# 为什么要有主存储区和零时存储区(对应本地用户文件和本地临时文件)
- 本地临时文件仅当前生命周期有效,一旦小程序关闭,下次启动可能有效可能无效
- 当需要存储文件的时候优先存储在本地用户文件,如果空间不够则存储到本地临时文件
- 有个Depend记录了源文件和存储文件的地址映射
- 项目启动初始化的时候会对比最新的Depend和本地Depend的差异,如果需要更新,则删除本地Depend的记录并删除存储的文件,如果存储在本地临时文件则不需要删除,微信自己会清理,

- 所以将Store的存储设计思想
- 200MB总大小
    + 50MB预留存储Depend和项目配置(预见项目配置不会太大)
      - 其中Depend文件默认5M,项目数据存储默认10M,剩于35M用于存储项目配置文件
      - 稳妥起见,所有数据都需要计算有没有超存储限制
      - 项目数据文件的存储需要在逻辑上约束10M,防止对150M的存储空间造成影响
    + 150MB用于存储项目资源,如果空间不够,则将资源存储到本地临时文件


# 将Store分为两类
    - 文件存储 (存储大文件)
    - 数据存储 (存储项目数据,限制10M,项目默认使用数据存储,想用文件存储也可以,但是不保证可用性,因为文件存储有可能存储到本地临时文件)
# Store.createStore 增加一个参数,参照win实现,表明使用的时候是用File存储还是数据存储,等同于目前实现的useForRes


# 文件存储的存储路径
- dbname/tabname/path

# 数据存储的存储方式
- dbname/tabname
  + tabname的内容就是一张map表