
# 项目使用
* 批下载 - 保证后续使用时不需要下载
    + 下载并加载 目录，目录下所有资源，Obj对象有缓存，cfg有处理
    + <Web | MiniGame> ResCacheMap 有缓存则忽略 
    + <Web> BatchLoad -> DownLoad -> (AB)
    + <Web> BatchLoad -> LocalLoad(IndexDB) -> (AB)
    + <Web> BatchLoad -> ObjLoad -> DownLoad -> AB -> ResCacheMap 缓存
    + <Web> BatchLoad -> ObjLoad -> LocalLoad(IndexDB) -> AB -> ResCacheMap 缓存
    + <MiniGame> BatchLoad -> DownLoad -> (AB)
    + <MiniGame> BatchLoad -> LocalLoad(FileSystem) -> (AB)
    + <MiniGame> BatchLoad -> ObjLoad -> DownLoad -> AB -> FileSystem - 不做缓存
    + <MiniGame> BatchLoad -> ObjLoad ->   - 不做缓存
* 缓存对象加载 - Image | Font | Audio | Video | ArrayBuffer
    + ResTab.Load
        - 返回 ResTab 缓存
        - loadXXX
            - <Web | MiniGame> 返回 ResCacheMap 缓存 (AB | Object)
            - <Web> DownLoad -> (AB)
            - <Web> LocalLoad(IndexDB) -> (AB)
            - <Web> DownLoad -> AB -> Blob -> Object (Object)
            - <Web> LocalLoad(IndexDB) -> AB -> Blob -> Object (Object)
            - <MiniGame> DownLoad -> AB
            - <MiniGame> LocalLoad(FileSystem) -> (AB)
            - <MiniGame> DownLoad -> AB -> FileSystem -> FilePath -> Object (Object)
            - <MiniGame> LocalLoad(FileSystem) -> FilePath -> Object (Object)
* ObbjLoad 层不做 对象缓存
* Web 的 ObjLoad ResCacheMap 缓存AB
* Minigame 的 ObjLoad 不做缓存
* 如果做缓存花费时间完成解码的对象，很可能因为要被其他对象挤占，而被释放



# BatchLoad
* BatchLoad
    + Dir
        + PackageLoad
    + File
        + 不加载资源
            + (cfg) DownLoad/LocalLoad
            + (code) CodeLoad
        + 加载资源
            + (cfg) DownLoad/LocalLoad
            + (code) CodeLoad
            + (res) DownLoad/LocalLoad
            + (obj) ObjLoad