
import { FileLoad } from "../load/file_load";
import { HttpDownload } from "../net/http";

declare let module;

export class DownloadBase extends FileLoad {
    // TODO 增加一个没有签名的文件列表
    // url为键，值为下载对象
    downloadMap: Map<string, HttpDownload>;
    public timerMap: Map<string, any> = new Map;
    waitWrite: boolean = false;     // 某些情况下需要等待下载完成且存储到本地成功后才算成功

    /**
     * @description 停止
     * @example
     */
    public abort() {
        if (!this.downloadMap) {
            return;
        }
        for (let v of this.downloadMap.values()) {
            v.abort();
        }
    }

}
