
import { PiImage } from "../render/image";
import { IParamPiFont, PiFont } from "../render/font";
import { IPiAudio } from "../media/audio";
import { TloadAudio, TloadAudioBuffer, TloadFile, TloadFont, TloadImage, TloadVideo } from "./interface";
import { IPiInnerAudio, PiAudioBuffer } from "pi_sys/media/inner_audio";
import { IPiVideo } from "pi_sys/render/video";

/**
 * 资源加载工具
 */


export const loadImage: TloadImage = (filePath: string, args: any[]): Promise<PiImage> => {
    return Promise.resolve(null);
}

export const loadVideo: TloadVideo = (filePath: string, args: any[]): Promise<IPiVideo> => {
    return Promise.resolve(null);
}

export const loadFont: TloadFont = (filePath: string, args: [IParamPiFont?]): Promise<PiFont> => {
    return Promise.resolve(null);
}

export const loadAudio: TloadAudio = (filePath: string, args: any[]): Promise<IPiAudio> => {
    return Promise.resolve(null);
}

export const loadAudioBuffer: TloadAudioBuffer = (filePath: string, args: any[]): Promise<PiAudioBuffer> => {
    return Promise.resolve(null);
}

export const loadFile: TloadFile = (filePath: string, args: any[]): Promise<Uint8Array> => {
    return Promise.resolve(null);
}
