export * from "./accelerometer_impl";

export interface AccelerometerData {
    x: number;     // X 轴
    y: number;     // Y 轴
    z: number;     // Z 轴
}

export type Tstart = (interval?: "normal" | "ui" | "game") => Promise<void>;

export type Tstop = () => Promise<void>;

export type TonChange = (callback: (info: AccelerometerData) => void) => void

export type ToffChange = (callback?: (info: AccelerometerData) => void) => void
