import { CompassData, ToffChange, TonChange, Tstart, Tstop } from "./compass";

/**
 * 开始监听罗盘数据
 */
export const start: Tstart = () => {
    return Promise.resolve();
};

/**
 * 停止监听罗盘数据
 */
export const stop: Tstop = () => {
    return Promise.resolve();
};

/**
 * 监听罗盘数据变化事件。
 * 频率：5 次/秒，接口调用后会自动开始监听，
 * @param callback 
 */
export const onChange: TonChange = (callback: (data: CompassData) => void) => {

}

/**
 * 取消监听罗盘数据变化事件，参数为空，则取消所有的事件监听
 * @param callback 
 */
export const offChange: ToffChange = (callback?: (data: CompassData) => void) => {

}