export * from "./gyroscope_impl";

export interface GyroscopeData {
    x: number;          // x 轴的角速度
    y: number;          // y 轴的角速度
    z: number;          // z 轴的角速度
}

export type Tstart = (interval?: "normal" | "ui" | "game") => Promise<void>;

export type Tstop = () => Promise<void>;

export type TonChange = (callback: (data: GyroscopeData) => void) => void;

export type ToffChange = (callback?: (data: GyroscopeData) => void) => void;
