
import { NetWrokType, TgetType, ToffStatusChange, TonStatusChange } from "./network";

/**
 * 获取网络类型
 */
export const getType: TgetType = (): Promise<NetWrokType> => {
    return Promise.resolve(null);
}

/**
 * 监听网络状态变化事件
 * @param callback 回调函数，参数：
 *      isConnected	 当前是否有网络连接
 *      networkType	 网络类型
 */
export const onStatusChange: TonStatusChange = (callback: ({ isConnected: boolean, networkType: NetWrokType }) => void) => {
}

/**
 * 取消监听网络状态变化事件。参数为空，则取消所有的事件监听
 * @note 参数为空，则取消所有的事件监听
 * @param callback 之前onNetworkStatusChange传进去的cb
 */
export const offStatusChange: ToffStatusChange = (callback?: ({ isConnected: boolean, networkType: NetWrokType }) => void) => {
}