export * from "./voipchat_impl";

export enum CHANGE_STATE {
    LEAVE_OR_JOIN = 1,
    MICO = 2,
    CAMERA = 3
}

export interface ChangeInfo {
    userId: string;
    state: CHANGE_STATE;
}

export type Tlogin = (sdkAppId: number, userId: string, userSig: string) => Promise<any>;

export type Tlogout = () => Promise<any>;

export type TjoinVideoRoom = (roomId: number, userName: string, userAvatar: string, openCamera: boolean, openAudio: boolean, audioQuality: number) => void;

export type Tjoin = (roomId: string, muteMicrophone: boolean, muteEarphone: boolean) => void;

export type Texit = () => void;

export type TupdateMuteConfig = (muteMicrophone: boolean, muteEarphone: boolean) => void;

export type TregisterMembersChanged = (callback: (flag: ChangeInfo) => void) => void;

export type TunregisterMembersChanged = (callback: (flag: ChangeInfo) => void) => void;

export type TregisterSpeakersChanged = (callback: (flag: ChangeInfo) => void) => void;

export type TunregisterSpeakersChanged = (callback: (flag: ChangeInfo) => void) => void;