/**
 * 媒体：相机
 */

import { TopenAlbum, TopenCamera, TscanQRCode, Tsave2Album, TgetBase64FromLocalFile } from "./camera";



/**
 * 打开相册
 * @param mediaType "image" | "video" | "mix" ; 相册显示 图像、视频、所有
 * @param maxSelectNum 最大选择 数量：1-9
 * @param isCompress 否 压缩，压缩质量 由 程序决定，参考 Luban Java 库
 * @returns 相册文件 数组
 */
export const openAlbum: TopenAlbum = (mediaType: "image" | "video" | "mix", maxSelectNum: number = 9, isCompress: boolean = false) => {
    return Promise.resolve([]);
}


/**
 * 打开相机 拍照 或 录像
 * @param mediaType "image" | "video" 拍照 或 录像
 * @param recordVideoMaxSecond 录像的 最长 时间，单位：秒
 * @returns 相册文件 数组,只有 一个元素
 */
export const openCamera: TopenCamera = (mediaType: "image" | "video", recordVideoMaxSecond: number = 60) => {
    return Promise.resolve([]);
}

/**
 * 扫码：拍照 or 相册选择
 * @returns 文件的绝对路径，通过 getBase64FromLocalFile 取 内容
 */
export const scanQRCode: TscanQRCode = () => {
    return Promise.resolve("");;
}

/**
 * 保存 图片 到相册
 * @param path 文件的绝对路径
 * @returns 二维码内容
 */
export const save2Album: Tsave2Album = (path: string) => {
    return Promise.resolve("");;
}


/**
 * 获取图片内容
 * @path  图片本地路径
 * @returns 图片内容base64编码字符串
 */
export const getBase64FromLocalFile: TgetBase64FromLocalFile = (path: string) => {
    return Promise.resolve("");
}