export * from "./video_impl";
export interface IPiVideo extends HTMLVideoElement {
	/**
	 * 视频的 URL
	 */
	src: string;
	/**
	 * 视频加载完成
	 */
	oncanplaythrough: (event?: any) => void;
	/**
	 * 视频加载发生错误后触发的回调函数
	 */
	onerror: (event?: any) => void;
}

export type TcreateVideo = () => IPiVideo;