
/**
 * 本地资源加载
 */


export namespace Asset {

    /**
     * @description 获取资源信息数组Json, [[file, time, size, sign], ...]
     * 读不到返回空数组
     */
    export const get = (): Promise<string[][]> => {
        return Promise.resolve([]);
    };

    /**
     * @description 读取资源
     * @example
     */
    export const read = (path: string, isString = false): Promise<ArrayBuffer | string> => {
        return Promise.resolve(null);
    }

    /**
     * 获取文件在底层的绝对路径
     * @param path 
     * @returns 
     */
    export const getSystemPath = (path: string): Promise<string> => {
        return Promise.resolve(path);
    }

    /**
     * 将assets目录下的文件拷贝到data目录下
     * @param assetsPath 
     * @param dataPath 
     * @returns 
     */
    export const copyAssetToData = (assetsPath: string, dataPath: string) => {
        return Promise.resolve(null);
    }
}