
/**
 * 消息上报 SDK
 * 
 * ========================== 注：不要直接使用这里的接口，请使用 pi_common/sdk 的 函数
 */

import { Tupload } from "pi_sys/native/platform/upload";

import { Native } from "../core/index";

export const upload: Tupload = (sdkName: string, param: any) => {
    const str = JSON.stringify(param);

    return new Promise((resolve, reject) => {
        Native.UpLoad.init().then(() => {
            Native.UpLoad.upload(sdkName, str, resolve, reject);
        }).catch((e) => {
            reject(e);
        });
    });
}