import "./platform"; // 屏蔽各小游戏平台差异
import { HTMLElement } from "./html_element"

export class HTMLImageElement extends HTMLElement {
	src: string
	width: number;
	height: number;
	/**
	 * 图片的加载完成
	 */
	onload: (res?: any) => void;
	/**
	 * 图片加载发生错误后触发的回调函数
	 */
	onerror: (res?: any) => void;
	constructor() {
		super();
	}
}
