declare var NativeObject;



export function load_js(pid: number, path: string): string | undefined {
    let result = NativeObject.static_call(3, pid, path) as string;
    return result;
}

function get_assets(pid: number): string[] | undefined {
    let result = NativeObject.static_call(4, pid) as string[];
    return result;
}

async function read_asset(pid: number, key: string): Promise<ArrayBuffer> {
    let result = NativeObject.async_static_call(2, pid, key) as Promise<ArrayBuffer>;
    return await result;
}





let g = globalThis as any;

g.load_js = (path: string) => {
    let pid: number = globalThis.ESProcess.pid;
    let sourceCode = load_js(pid, path);
    return sourceCode;
};
g.get_assets = () => {
    let pid: number = globalThis.ESProcess.pid;
    return get_assets(pid);
};

// const Assets = globalThis._$pi_native.Asset;
// delete globalThis._$pi_native.Asset;

// g.read_asset = (path: string) => {
//     try {
//         let info = Assets.read(path);
//         return Promise.resolve(info);
//     } catch (e) {
//         return Promise.reject(e);
//     }
// }
